package LMS.frontend;

import java.awt.*;
import java.applet.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import com.sun.java.swing.*;

public class lmsFrame extends JFrame implements Runnable, ActionListener, 
MouseListener
{

 public JApplet app;
 public String hostName;
 public int portNumber;
 public String ClientID;
 public String moduleListURL; 
 URL myDoc;
 String SM_URL,dbase; 
 public String ServerURL;
 
 public lmsFrame(JApplet app_)
 {
   app=app_;
   initSocket(); 
  
ActionListener mListener = new ActionListener() {
   public void actionPerformed(ActionEvent e) {
         dispose();
   }
  }; 
 
  MenuBar menubar = new MenuBar();

  Menu menuFile = new Menu("File");
  MenuItem exitItem = new MenuItem("Exit WebFlow session");
  exitItem.addActionListener(mListener);
  menuFile.add(exitItem);
  menubar.add(menuFile);


  setMenuBar(menubar);
  
   System.err.println("now show the frame"); 
   setSize(500,200);

   getContentPane().setLayout(new BorderLayout());
   setBackground(Color.white);

   JPanel TitlePanel = new JPanel();
   getContentPane().add(TitlePanel,BorderLayout.NORTH);
   
   TitlePanel.setBackground(Color.white);
   TitlePanel.setForeground(Color.blue);
   String LMStitle = new String("Landscape Modeling System");
   
   Label l1= new Label(LMStitle,Label.CENTER);
   l1.setFont(new Font("Serif",Font.BOLD,14));
   TitlePanel.add(l1); 
  
   JPanel ButtonPanel = new JPanel();
   ButtonPanel.setLayout(new GridLayout(1,3));

   Button DWbutton = new Button("Data Wizard");
   Button WMbutton = new Button("WMS");
   Button CAbutton = new Button("CASC2D");
   DWbutton.addActionListener(this);
   WMbutton.addActionListener(this);
   CAbutton.addActionListener(this);
   ButtonPanel.add(DWbutton);
   ButtonPanel.add(WMbutton);
   ButtonPanel.add(CAbutton);

   getContentPane().add(ButtonPanel,BorderLayout.CENTER);
   show();
   repaint();
 
}

  public void paint(Graphics g) {
   g.drawString("whatever",10,10);
  }

 
public void actionPerformed(ActionEvent e) {
   String action = e.getActionCommand();
   System.err.println("Button pressed: "+action);
   if(action.equals("Data Wizard")) {
      new DataWizard(this);
   }
   if(action.equals("WMS")) {
      new wms(this);
   }
   if(action.equals("CASC2D")) {
      new casc2d(this);
   }
}

public void mouseClicked(MouseEvent e) {  
     int x = e.getX();
     int y = e.getY();
     System.err.println(x+","+y); 
}

  public void mouseEntered(MouseEvent e) {;}
  public void mouseExited(MouseEvent e) {;}
  public void mousePressed(MouseEvent e) {;}
  public void mouseReleased(MouseEvent e) {;}

 public void run()
{
   	java.awt.Scrollbar horizontalScrollbar;
}
 protected void initSocket() {

  try {
       dbase = (app.getDocumentBase()).toString();
       System.err.println(dbase);
       int idx = dbase.indexOf("/webflow"); //UNIX
       //NT int idx = dbase.lastIndexOf("/"); // NT 
       if(idx<0) System.err.println("lmsFrame: idx<0 "+idx);
       ServerURL = dbase.substring(0,idx);
       SM_URL = ServerURL+"/servlet/sessionmanager"; 
       System.err.println("SM_URL="+SM_URL);
       myDoc = new URL(SM_URL+"?com_start_session");
      } 
       catch(Exception e){System.err.println("exception "+e.toString()+" "+dbase);
      }

  try {
       DataInputStream dis = new DataInputStream(myDoc.openStream());
       hostName = dis.readLine();
       String portNumberString = dis.readLine();
       portNumber = Integer.parseInt(portNumberString);
       moduleListURL = dis.readLine();
       ClientID = dis.readLine();
      } 
       catch(Exception e){System.err.println("exception "+ e.toString());}

  System.err.println("end of initSocket: "+hostName+":"+portNumber); 
  System.err.println("ClientID: "+ClientID);
  System.err.println(moduleListURL);

  //Erol additions
  //tom swingClient = new SwingServletClient(moduleListURL);
  //Erol

  }

}

